// ignore_for_file: sized_box_for_whitespace

import 'package:excelso_attendance/helper/widget_responsive.dart';
import 'package:excelso_attendance/resource/colors.dart';
import 'package:excelso_attendance/resource/style.dart';
import 'package:flutter/material.dart';

class ErrorCameraView extends StatelessWidget {
  const ErrorCameraView({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: ColorManager.backgroundColor,
      body: ScreenResponsive(
        widget: Container(
          width: double.infinity,
          height: double.infinity,
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            crossAxisAlignment: CrossAxisAlignment.center,
            children: [
              Text(
                "Silakan aktifkan permission kamera pada pengaturan browser anda",
                style: getBoldStyle(
                  color: Colors.black,
                  fontSize: 16,
                ),
                textAlign: TextAlign.center,
              ),
            ],
          ),
        ),
        widthScreen: MediaQuery.of(context).size.width,
      ),
    );
  }
}
